.vimeo-shadowbox {
    position: fixed;
    left: 0;
    top: 0;
    z-index: 1000;
    background: rgba(0, 0, 0, 0.7);
    transition: all 0.5s ease;
    width: 100%;
    height: 100%;
}

.vimeo-shadowbox--hidden {
    opacity: 0;
    z-index: -1000;
    visibility: hidden;
    pointer-events: none;
}

.vimeo-shadowbox__video-wrapper {
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 90%;
    height: 90%;
}

.vimeo-shadowbox__video {
    position: relative;
    height: 100%;
}

.vimeo-shadowbox__video iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.vimeo-shadowbox__close-button {
    width: 30px;
    height: 30px;
    border: 1px solid #fff;
    border-radius: 50%;
    position: absolute;
    right: -15px;
    top: -15px;
    overflow: hidden;
    background: #000;
    color: white;
    text-align: center;
    padding-top: 1px;
    padding-left: 1px;
}

.vimeo-shadowbox.vimeo-shadowbox--hidden iframe{
    pointer-events: none;
}